> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an event stream filter

> Creates a new filter rule on the specified event stream. Filters restrict which events are delivered to the downstream consumer. Returns the created filter with its server-assigned id.



## OpenAPI

````yaml /api-reference/management.json post /v6/event-streams/{eventStreamId}/filters
openapi: 3.0.1
info:
  description: >-
    Configuration endpoints for the Extole platform: campaigns, components,
    audiences, persons, rewards, reporting, integrations setup, and
    administrative tooling.
  title: Management API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Audiences
  - name: Authentication
  - name: Batch Jobs
  - name: Blocks
  - name: Campaigns
  - name: Components
  - name: Components Settings
  - name: Domains
  - name: Email
  - name: Erasure
  - name: Event Streams
  - name: File Validation Monitors
  - name: Optout
  - name: Profiles
  - name: Promotion Links
  - name: Report Schedules
  - name: Report Types
  - name: Reports
  - name: Reward Suppliers
  - name: Security Keys
  - name: Settings
  - name: User Notifications
  - name: User Subscriptions
  - name: Users
  - name: Webhooks
paths:
  /v6/event-streams/{eventStreamId}/filters:
    post:
      tags:
        - Event Streams
      summary: Create an event stream filter
      description: >-
        Creates a new filter rule on the specified event stream. Filters
        restrict which events are delivered to the downstream consumer. Returns
        the created filter with its server-assigned id.
      operationId: createEventStreamFilter
      parameters:
        - in: path
          name: eventStreamId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            example:
              app_types:
                - app_type
              type: APPLICATION_TYPE
            schema:
              $ref: '#/components/schemas/EventStreamFilterCreateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventStreamFilterResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                build_failed:
                  $ref: '#/components/examples/build_failed'
                campaign_component_absolute_name_missing:
                  $ref: >-
                    #/components/examples/campaign_component_absolute_name_missing
                campaign_component_description_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_description_out_of_range
                campaign_component_display_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_contains_illegal_character
                campaign_component_display_name_out_of_range:
                  $ref: >-
                    #/components/examples/campaign_component_display_name_out_of_range
                campaign_component_id_missing:
                  $ref: '#/components/examples/campaign_component_id_missing'
                campaign_component_name_already_in_use:
                  $ref: '#/components/examples/campaign_component_name_already_in_use'
                campaign_component_name_contains_illegal_character:
                  $ref: >-
                    #/components/examples/campaign_component_name_contains_illegal_character
                campaign_component_name_out_of_range:
                  $ref: '#/components/examples/campaign_component_name_out_of_range'
                campaign_component_type_validation_failed:
                  $ref: >-
                    #/components/examples/campaign_component_type_validation_failed
                circular_component_reference:
                  $ref: '#/components/examples/circular_component_reference'
                component_facets_not_found:
                  $ref: '#/components/examples/component_facets_not_found'
                event_stream_filter_not_found:
                  $ref: '#/components/examples/event_stream_filter_not_found'
                event_stream_filter_validation_exception:
                  $ref: >-
                    #/components/examples/event_stream_filter_validation_exception
                event_stream_invalid_name:
                  $ref: '#/components/examples/event_stream_invalid_name'
                event_stream_missing_name:
                  $ref: '#/components/examples/event_stream_missing_name'
                event_stream_not_found:
                  $ref: '#/components/examples/event_stream_not_found'
                event_stream_validation_failed:
                  $ref: '#/components/examples/event_stream_validation_failed'
                excessive_component_reference:
                  $ref: '#/components/examples/excessive_component_reference'
                external_element_is_referenced_by_active_configuration:
                  $ref: >-
                    #/components/examples/external_element_is_referenced_by_active_configuration
                external_elements_cannot_have_multiple_references:
                  $ref: >-
                    #/components/examples/external_elements_cannot_have_multiple_references
                invalid_component_installed_into_socket:
                  $ref: >-
                    #/components/examples/invalid_component_installed_into_socket
                invalid_component_reference:
                  $ref: '#/components/examples/invalid_component_reference'
                invalid_component_reference_socket_name:
                  $ref: >-
                    #/components/examples/invalid_component_reference_socket_name
                invalid_external_component_reference:
                  $ref: '#/components/examples/invalid_external_component_reference'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                orphan_external_component_reference:
                  $ref: '#/components/examples/orphan_external_component_reference'
                redundant_component_reference:
                  $ref: '#/components/examples/redundant_component_reference'
                self_component_reference:
                  $ref: '#/components/examples/self_component_reference'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    EventStreamFilterCreateRequest:
      description: Body of a `POST /v6/event-streams/{eventStreamId}/filters` request.
      discriminator:
        mapping:
          APPLICATION_TYPE:
            $ref: '#/components/schemas/EventStreamApplicationTypeFilterCreateRequest'
          EVENT_NAME:
            $ref: '#/components/schemas/EventStreamEventNameFilterCreateRequest'
          EVENT_TYPE:
            $ref: '#/components/schemas/EventStreamEventTypeFilterCreateRequest'
          PERSON_ID:
            $ref: '#/components/schemas/EventStreamPersonIdFilterCreateRequest'
          SANDBOX:
            $ref: '#/components/schemas/EventStreamSandboxFilterCreateRequest'
        propertyName: type
      oneOf:
        - title: APPLICATION_TYPE
          allOf:
            - $ref: >-
                #/components/schemas/EventStreamApplicationTypeFilterCreateRequest
        - title: EVENT_NAME
          allOf:
            - $ref: '#/components/schemas/EventStreamEventNameFilterCreateRequest'
        - title: EVENT_TYPE
          allOf:
            - $ref: '#/components/schemas/EventStreamEventTypeFilterCreateRequest'
        - title: PERSON_ID
          allOf:
            - $ref: '#/components/schemas/EventStreamPersonIdFilterCreateRequest'
        - title: SANDBOX
          allOf:
            - $ref: '#/components/schemas/EventStreamSandboxFilterCreateRequest'
      required:
        - type
    EventStreamFilterResponse:
      discriminator:
        mapping:
          APPLICATION_TYPE:
            $ref: '#/components/schemas/EventStreamApplicationTypeFilterResponse'
          EVENT_NAME:
            $ref: '#/components/schemas/EventStreamEventNameFilterResponse'
          EVENT_TYPE:
            $ref: '#/components/schemas/EventStreamEventTypeFilterResponse'
          PERSON_ID:
            $ref: '#/components/schemas/EventStreamPersonIdFilterResponse'
          SANDBOX:
            $ref: '#/components/schemas/EventStreamSandboxFilterResponse'
        propertyName: type
      oneOf:
        - title: APPLICATION_TYPE
          allOf:
            - $ref: '#/components/schemas/EventStreamApplicationTypeFilterResponse'
        - title: EVENT_NAME
          allOf:
            - $ref: '#/components/schemas/EventStreamEventNameFilterResponse'
        - title: EVENT_TYPE
          allOf:
            - $ref: '#/components/schemas/EventStreamEventTypeFilterResponse'
        - title: PERSON_ID
          allOf:
            - $ref: '#/components/schemas/EventStreamPersonIdFilterResponse'
        - title: SANDBOX
          allOf:
            - $ref: '#/components/schemas/EventStreamSandboxFilterResponse'
      required:
        - id
        - type
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    EventStreamApplicationTypeFilterCreateRequest:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterCreateRequestBase'
        - properties:
            app_types:
              items:
                type: string
              type: array
            type:
              enum:
                - APPLICATION_TYPE
              type: string
          type: object
      required:
        - type
      type: object
      title: APPLICATION_TYPE
    EventStreamEventNameFilterCreateRequest:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterCreateRequestBase'
        - properties:
            event_names:
              items:
                type: string
              type: array
            type:
              enum:
                - EVENT_NAME
              type: string
          type: object
      required:
        - type
      type: object
      title: EVENT_NAME
    EventStreamEventTypeFilterCreateRequest:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterCreateRequestBase'
        - properties:
            event_types:
              items:
                enum:
                  - ADD_SHAREABLE
                  - ASSET
                  - AUDIENCE_MEMBERSHIP_CREATED
                  - AUDIENCE_MEMBERSHIP_REMOVED
                  - AUDIENCE_MEMBERSHIP_UPDATED
                  - DATA_INTELLIGENCE
                  - DISPLACED
                  - DISPLACED_BY
                  - FORWARDED
                  - IDENTIFIED
                  - INCENTIVIZED
                  - INPUT
                  - INTERNAL
                  - LEGACY_CONSUMER_EVENT
                  - MESSAGE
                  - MESSAGE_NOT_DELIVERED
                  - REDEEMED
                  - REFERRED
                  - REFERRED_BY
                  - REWARD
                  - SEND_REWARD
                  - SHARE
                  - SHAREABLE
                  - STEP
                type: string
              type: array
            type:
              enum:
                - EVENT_TYPE
              type: string
          type: object
      required:
        - type
      type: object
      title: EVENT_TYPE
    EventStreamPersonIdFilterCreateRequest:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterCreateRequestBase'
        - properties:
            person_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - PERSON_ID
              type: string
          type: object
      required:
        - type
      type: object
      title: PERSON_ID
    EventStreamSandboxFilterCreateRequest:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterCreateRequestBase'
        - properties:
            containers:
              items:
                type: string
              type: array
            sandboxes:
              items:
                type: string
              type: array
            type:
              enum:
                - SANDBOX
              type: string
          type: object
      required:
        - type
      type: object
      title: SANDBOX
    EventStreamApplicationTypeFilterResponse:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterResponseBase'
        - properties:
            app_types:
              items:
                type: string
              type: array
            id:
              readOnly: true
              type: string
            type:
              enum:
                - APPLICATION_TYPE
              type: string
          type: object
      required:
        - app_types
        - id
        - type
      type: object
      title: APPLICATION_TYPE
    EventStreamEventNameFilterResponse:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterResponseBase'
        - properties:
            event_names:
              items:
                type: string
              type: array
            id:
              readOnly: true
              type: string
            type:
              enum:
                - EVENT_NAME
              type: string
          type: object
      required:
        - event_names
        - id
        - type
      type: object
      title: EVENT_NAME
    EventStreamEventTypeFilterResponse:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterResponseBase'
        - properties:
            event_types:
              items:
                enum:
                  - ADD_SHAREABLE
                  - ASSET
                  - AUDIENCE_MEMBERSHIP_CREATED
                  - AUDIENCE_MEMBERSHIP_REMOVED
                  - AUDIENCE_MEMBERSHIP_UPDATED
                  - DATA_INTELLIGENCE
                  - DISPLACED
                  - DISPLACED_BY
                  - FORWARDED
                  - IDENTIFIED
                  - INCENTIVIZED
                  - INPUT
                  - INTERNAL
                  - LEGACY_CONSUMER_EVENT
                  - MESSAGE
                  - MESSAGE_NOT_DELIVERED
                  - REDEEMED
                  - REFERRED
                  - REFERRED_BY
                  - REWARD
                  - SEND_REWARD
                  - SHARE
                  - SHAREABLE
                  - STEP
                type: string
              type: array
            id:
              readOnly: true
              type: string
            type:
              enum:
                - EVENT_TYPE
              type: string
          type: object
      required:
        - event_types
        - id
        - type
      type: object
      title: EVENT_TYPE
    EventStreamPersonIdFilterResponse:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterResponseBase'
        - properties:
            id:
              readOnly: true
              type: string
            person_ids:
              items:
                type: string
              type: array
            type:
              enum:
                - PERSON_ID
              type: string
          type: object
      required:
        - id
        - person_ids
        - type
      type: object
      title: PERSON_ID
    EventStreamSandboxFilterResponse:
      allOf:
        - $ref: '#/components/schemas/EventStreamFilterResponseBase'
        - properties:
            containers:
              items:
                type: string
              type: array
            id:
              readOnly: true
              type: string
            sandboxes:
              items:
                type: string
              type: array
            type:
              enum:
                - SANDBOX
              type: string
          type: object
      required:
        - containers
        - id
        - sandboxes
        - type
      type: object
      title: SANDBOX
    EventStreamFilterCreateRequestBase:
      properties:
        type:
          enum:
            - APPLICATION_TYPE
            - EVENT_NAME
            - EVENT_TYPE
            - PERSON_ID
            - SANDBOX
          type: string
      type: object
    EventStreamFilterResponseBase:
      properties:
        id:
          readOnly: true
          type: string
        type:
          enum:
            - APPLICATION_TYPE
            - EVENT_NAME
            - EVENT_TYPE
            - PERSON_ID
            - SANDBOX
          type: string
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    build_failed:
      summary: build_failed
      value:
        code: build_failed
        http_status_code: 400
        message: Build failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_absolute_name_missing:
      summary: campaign_component_absolute_name_missing
      value:
        code: campaign_component_absolute_name_missing
        http_status_code: 400
        message: Campaign component absolute name is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_description_out_of_range:
      summary: campaign_component_description_out_of_range
      value:
        code: campaign_component_description_out_of_range
        http_status_code: 400
        message: Campaign component description length is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_display_name_contains_illegal_character:
      summary: campaign_component_display_name_contains_illegal_character
      value:
        code: campaign_component_display_name_contains_illegal_character
        http_status_code: 400
        message: >-
          Campaign component display name can only contain alphanumeric, dash,
          underscore, whitespace, asterisk, hash, dollar characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_display_name_out_of_range:
      summary: campaign_component_display_name_out_of_range
      value:
        code: campaign_component_display_name_out_of_range
        http_status_code: 400
        message: Campaign component display name length is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_id_missing:
      summary: campaign_component_id_missing
      value:
        code: campaign_component_id_missing
        http_status_code: 400
        message: Campaign component id is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_name_already_in_use:
      summary: campaign_component_name_already_in_use
      value:
        code: campaign_component_name_already_in_use
        http_status_code: 400
        message: Campaign component name is already used by another component
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_name_contains_illegal_character:
      summary: campaign_component_name_contains_illegal_character
      value:
        code: campaign_component_name_contains_illegal_character
        http_status_code: 400
        message: >-
          Campaign component name can only contain alphanumeric, dash and
          underscore characters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_name_out_of_range:
      summary: campaign_component_name_out_of_range
      value:
        code: campaign_component_name_out_of_range
        http_status_code: 400
        message: Campaign component name length is out of range
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    campaign_component_type_validation_failed:
      summary: campaign_component_type_validation_failed
      value:
        code: campaign_component_type_validation_failed
        http_status_code: 400
        message: Campaign component type validation failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    circular_component_reference:
      summary: circular_component_reference
      value:
        code: circular_component_reference
        http_status_code: 400
        message: Circular campaign component reference is not allowed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    component_facets_not_found:
      summary: component_facets_not_found
      value:
        code: component_facets_not_found
        http_status_code: 400
        message: Component facets not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_filter_not_found:
      summary: event_stream_filter_not_found
      value:
        code: event_stream_filter_not_found
        http_status_code: 400
        message: EventStream filter was not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_filter_validation_exception:
      summary: event_stream_filter_validation_exception
      value:
        code: event_stream_filter_validation_exception
        http_status_code: 400
        message: Filter validation failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_invalid_name:
      summary: event_stream_invalid_name
      value:
        code: event_stream_invalid_name
        http_status_code: 400
        message: Invalid name
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_missing_name:
      summary: event_stream_missing_name
      value:
        code: event_stream_missing_name
        http_status_code: 400
        message: Required name is not specified
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_not_found:
      summary: event_stream_not_found
      value:
        code: event_stream_not_found
        http_status_code: 400
        message: EventStream was not found
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    event_stream_validation_failed:
      summary: event_stream_validation_failed
      value:
        code: event_stream_validation_failed
        http_status_code: 400
        message: Filter validation failed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    excessive_component_reference:
      summary: excessive_component_reference
      value:
        code: excessive_component_reference
        http_status_code: 400
        message: Root campaign component may have at most one reference
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    external_element_is_referenced_by_active_configuration:
      summary: external_element_is_referenced_by_active_configuration
      value:
        code: external_element_is_referenced_by_active_configuration
        http_status_code: 400
        message: External element is referenced by active configuration
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    external_elements_cannot_have_multiple_references:
      summary: external_elements_cannot_have_multiple_references
      value:
        code: external_elements_cannot_have_multiple_references
        http_status_code: 400
        message: External elements cannot have multiple references
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_component_installed_into_socket:
      summary: invalid_component_installed_into_socket
      value:
        code: invalid_component_installed_into_socket
        http_status_code: 400
        message: Invalid component installed into socket
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_component_reference:
      summary: invalid_component_reference
      value:
        code: invalid_component_reference
        http_status_code: 400
        message: Unknown referenced campaign component
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_component_reference_socket_name:
      summary: invalid_component_reference_socket_name
      value:
        code: invalid_component_reference_socket_name
        http_status_code: 400
        message: Invalid component reference socket name
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_external_component_reference:
      summary: invalid_external_component_reference
      value:
        code: invalid_external_component_reference
        http_status_code: 400
        message: Unknown external referenced campaign component
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    orphan_external_component_reference:
      summary: orphan_external_component_reference
      value:
        code: orphan_external_component_reference
        http_status_code: 400
        message: Orphan external referenced campaign component
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    redundant_component_reference:
      summary: redundant_component_reference
      value:
        code: redundant_component_reference
        http_status_code: 400
        message: Same reference defined multiple times
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    self_component_reference:
      summary: self_component_reference
      value:
        code: self_component_reference
        http_status_code: 400
        message: Self campaign component reference is not allowed
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````